Debian Bug report logs - #655243
bluedevil: Unable to save user-places.xbel on first login (race?)

version graph

Package: libkdecore5; Maintainer for libkdecore5 is Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>; Source for libkdecore5 is src:kde4libs.

Reported by: Petter Reinholdtsen <pere@hungry.com>

Date: Mon, 9 Jan 2012 17:48:02 UTC

Severity: important

Found in version kde4libs/4:4.4.5-2

Fixed in version kde4libs/4:4.6.2-1

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#655243; Package libkdecore5. (Mon, 09 Jan 2012 17:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
New Bug report received and forwarded. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Mon, 09 Jan 2012 17:48:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: submit@bugs.debian.org
Subject: bluedevil: Unable to save user-places.xbel on first login (race?)
Date: Mon, 09 Jan 2012 18:43:55 +0100
Package: libkdecore5
Version: 4:4.4.5-2
Severity: important
User: debian-edu@lists.debian.org
Usertags: debian-edu

When logging into KDE for the first time with Debian/Squeeze on a
machine with Bluetooth hardware, KDE show a dialog reporting an error
saving the file ~/.local/share//user-places.xbel.  It is claimed to be
caused by permissions problems.  The disk is not full and the directory
exist and the user have access to write to the directory after login.

According to <URL: https://bbs.archlinux.org/viewtopic.php?id=112580 >
the problem is in kdelibs and a workaround is to create ~/.local/share
before the user log into KDE.  According to
<URL: http://forums.linuxmint.com/viewtopic.php?f=109&t=69921 > the
underlying problem is fixed in kdelibs version 4:4.6.1 in Linux Mint.

I find the same problem reported to Ubuntu as
<URL: https://bugs.launchpad.net/bugs/627815 >, and claimed to be fixed
in kde4libs version 4:4.5.1-0ubuntu7 and again fixed in kde4libs version
4:4.6.1-0ubuntu1.

I also find the same problem reported in
<URL: https://bugzilla.redhat.com/show_bug.cgi?id=750423 >.

As this problem affect Debian Edu badly, it would be great if it could
be fixed in Debian/Squeeze.  New users, especially teachers and pupils
in schools, are confused and scared by such strange message when they
first log into their user account.
-- 
Happy hacking
Petter Reinholdtsen




Marked as fixed in versions kde4libs/4:4.6.2-1. Request was from Maximiliano Curia <maxy@debian.org> to control@bugs.debian.org. (Fri, 10 May 2013 11:30:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:59:07 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.